package gov.va.vinci.dart.db;

import org.testng.Assert;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;

import gov.va.vinci.dart.common.SingletonShim;
import gov.va.vinci.dart.common.test.BusinessIntegrationTest;
import gov.va.vinci.dart.biz.SoftwareRequest;
import gov.va.vinci.dart.service.DartObjectFactory;

public class TestSoftwareRequestDAO extends BusinessIntegrationTest {

	@BeforeTest
	public void setup() {
		SingletonShim.getBean(DartObjectFactory.class);
	}

	@Test
	public void testOne() throws Exception {
		
		SoftwareRequest req = SoftwareRequest.create("DNS");
		Assert.assertNotNull(req);
		Assert.assertTrue(req.getId() > 0);
	}

}
